package com.bbitcn.silk.model.net;

import com.google.gson.annotations.SerializedName;

/**
 * @Description 登录获取Token
 * @Author DuanKaiji
 * @CreateTime 2024年03月27日 13:59
 */
public class Login {

    @SerializedName("result")
    private Boolean result;
    @SerializedName("msg")
    private String msg;
    @SerializedName("data")
    private DataDTO data;

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public DataDTO getData() {
        return data;
    }

    public void setData(DataDTO data) {
        this.data = data;
    }

    public static class DataDTO {
        @SerializedName("AccessToken")
        private String accessToken;
        @SerializedName("ExpiresIn")
        private Integer expiresIn;
        @SerializedName("TokenType")
        private String tokenType;
        @SerializedName("RefreshToken")
        private String refreshToken;
        @SerializedName("ExpireTime")
        private String expireTime;
        @SerializedName("UserId")
        private String userId;
        @SerializedName("UserName")
        private String userName;

        public String getAccessToken() {
            return accessToken;
        }

        public void setAccessToken(String accessToken) {
            this.accessToken = accessToken;
        }

        public Integer getExpiresIn() {
            return expiresIn;
        }

        public void setExpiresIn(Integer expiresIn) {
            this.expiresIn = expiresIn;
        }

        public String getTokenType() {
            return tokenType;
        }

        public void setTokenType(String tokenType) {
            this.tokenType = tokenType;
        }

        public String getRefreshToken() {
            return refreshToken;
        }

        public void setRefreshToken(String refreshToken) {
            this.refreshToken = refreshToken;
        }

        public String getExpireTime() {
            return expireTime;
        }

        public void setExpireTime(String expireTime) {
            this.expireTime = expireTime;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }
    }
}
